# Conditional build:
%bcond_without	tests	# unit tests

%define		module	aiohappyeyeballs
Summary:	Happy Eyeballs for asyncio
Name:		python3-%{module}
Version:	2.4.6
Release:	3
License:	PSF
Group:		Libraries/Python
Source0:	https://pypi.debian.net/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	3a4c5671b62b3bfc3d2d09970e13a3f0
URL:		https://pypi.org/project/aiohappyeyeballs/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-poetry-core
%if %{with tests}
BuildRequires:	python3-pytest-asyncio
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library exists to allow connecting with Happy Eyeballs (RFC 8305)
when you already have a list of addrinfo and not a DNS name.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%if %{with tests}
%{__python} -m zipfile -e build-3/*.whl build-3-test
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_cov,asyncio \
%{__python3} -m pytest -o pythonpath="$PWD/build-3-test" tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}.dist-info
%changelog
* Tue Apr 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-aiohappyeyeballs.git;a=log;h=auto/th/python3-aiohappyeyeballs-2.4.6-3

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> ecc19bf
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> c0e4bd3
- python 3.13 rebuild

* Mon Feb 10 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> a420020
- Initial

